PGAGetStoppingRuleType(8)

NAME
PGAGetStoppingRuleType - Returns a symbolic constant that defines the termination criteria.

INPUT PARAMETERS
ctx - context variable

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
int  PGAGetStoppingRuleType(ctx)
PGAContext *ctx

LOCATION
stop.c

EXAMPLE
Example:
PGAContext *ctx;
int stop;
:
stop = PGAGetStoppingRuleType(ctx);
if (stop & PGA_STOP_MAXITER)
printf("Stopping Rule = PGA_STOP_MAXITER);
if (stop & PGA_STOP_NOCHANGE)
printf("Stopping Rule = PGA_STOP_NOCHANGE);
if (stop & PGA_STOP_TOOSIMILAR)
printf("Stopping Rule = PGA_STOP_TOOSIMILAR);